<div class="page">
    <header>
        <div class="container">
            <div class="content">
                <h1>Lista de productos</h1>
                <z2h-product-filter></z2h-product-filter>
            </div>
        </div>
    </header>
    <!-- Product list -->
    <main>
        <div class="container">
            <mat-card class="product-list-card" *ngIf="dataSource$ | async as dataSource; else noProducts">
    
                <z2h-product-list [dataSource]="dataSource" viewMode=big [selectionMode]="true" [hasActions]="true"
                    (selectChanged)="onSelectChange($event)">
                </z2h-product-list>
        
            </mat-card>
        </div>
    </main>
  


    <!-- Loading indicator -->
    <ng-template #noProducts>
        <loading-indicator></loading-indicator>
    </ng-template>
</div>